/* eslint-disable-next-line import/no-unresolved */
import { useBlockProps, InnerBlocks } from '@wordpress/block-editor';
import RenderAIResponse from './render';

function Save({ attributes }) {
  const { title, blockTitle, aiAnswer } = attributes;

  return (
    <div {...useBlockProps.save()}>
      <div>
        <div>
          <h3>{blockTitle}</h3>
          <RenderAIResponse
            question={title}
            block_title={blockTitle}
            answer={aiAnswer}
          />
          <InnerBlocks.Content />
        </div>
      </div>
    </div>
  );
}

export default Save;
